FADVISE(1)

NAMN
fadvise - utility to use the *posix_fadvise*(2) system call

SYNOPSIS

fadvise [-a advice] [-o offset] [-l längd] filnamn

fadvise [-a advice] [-o offset] [-l längd] -d file-descriptor

BESKRIVNING

fadvise är ett enkelt kommando som omsluter systemanropet posix_fadvise(2) som används för att fördeklara ett åtkomstmönster för fildata.

FLAGGOR

-d, --fd file-descriptor
    Tillämpa rådet på den fil som anges med filbeskrivningen i stället för att öppna en fil som anges med ett filnamn.

-a, --advice advice
    Se kommandoutmatningen med flaggan --help för tillgängliga värden för advice. Om denna flagga utelämnas används "dontneed" som standardråd.

-o, --offset offset
    Anger startoffset för intervallet, i byte. Om denna flagga utelämnas används 0 som standard.

-l, --length längd
    Anger längden på intervallet i byte. Om denna flagga utelämnas används 0 som standardråd.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

AVSLUTSSTATUS

fadvise har följande värden för utgångsstatus:

0
    lyckades

1
    ospecificerat fel

UPPHOVSPERSONER

SE ÄVEN

posix_fadvise(2)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot fadvise ingår i paketet util-linux som kan hämtas från